%define Werror_cflags %nil

Name:           efax-gtk
Summary:        GTK2 front-end for efax
Version:        3.2.11
Release:        %mkrel 2
Group:          Communications/Fax 
URL:            http://efax-gtk.sourceforge.net
License:        GPLv2
Source:         http:/prdownloads.sourceforge.net/efax-gtk/%{name}-%{version}.src.tgz

BuildRequires:  pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libtiff-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  c++-gtk-utils-devel

Requires:       ghostscript
Requires:       cups
Requires:       gv
Requires:       c++-gtk-utils

%description
A GUI front-end for the efax fax program. 
It interfaces with efax directly, replacing the scripts supplied
with efax. It can be used for receiving and sending faxes, and for
viewing, printing, and managing faxes which have been received and sent.

%prep
%setup -q
# since users can't write to /var/lock
perl -p -i -e 's|/var/lock|/tmp||g' efax-gtkrc
# /dev/modem is quite common
perl -p -i -e 's|ttyS1|modem||g' efax-gtkrc

%build
%configure2_5x
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
perl -p -i -e 's/efax-gtk.png/efax-gtk/g' efax-gtk.desktop
%make

%install
%makeinstall_std

#menu
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --add-category="Telephony;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%post
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps

%files -f %{name}.lang
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%{_localstatedir}/spool/fax/*



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.2.11-2.mga3
+ Revision: 349535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 3.2.11-1.mga3
+ Revision: 341270
- new version 3.2.11

* Fri Sep 28 2012 barjac <barjac> 3.2.9-2.mga3
+ Revision: 299044
- Changed group to new policy

* Tue Feb 14 2012 barjac <barjac> 3.2.9-1.mga2
+ Revision: 208964
- new version
- changed BuildRequires, Added Requires

* Fri Dec 23 2011 fwang <fwang> 3.2.8-2.mga2
+ Revision: 186505
- rebuild for new libtiff

* Sat Dec 03 2011 shlomif <shlomif> 3.2.8-1.mga2
+ Revision: 175558
- New version 3.2.8.

* Sat Nov 19 2011 barjac <barjac> 3.2.5-1.mga2
+ Revision: 169028
- Added BR dbus-glib-devel, corrected menu category
- imported package efax-gtk

